Bug 833333 - (APACHE-CXF) Review request: cxf - Apache CXF
Review request: cxf - Apache CXF
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 833353
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 05:04 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:53:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patryk Obara 2012-06-19 05:04:42 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/cxf/2.4.7-1.fc17/cxf.spec

SRPM URL:
http://dreamertan.fedorapeople.org/srpm/cxf/2.4.7-1.fc17/cxf-2.4.7-1.fc17.src.rpm

Description:
Apache CXF is an open-source services framework that aids in
the development of services using front-end programming APIs,
like JAX-WS and JAX-RS.

Notes:
1) This is not latest version, but that's because we need exactly this one atm; (this was discussed with mgoldmann)

2) Many modules are still disabled; out of modules, that we need we're still missing cxf-rt-transports-http and modules, that depend on it (cxf-rt-frontend-jaxws and cxf-rt-frontend-ws-security). That's because we need to have springframework package updated to generate springframework-web and springframework-jms.

3) This package depends on new package ws-xmlschema; it's almost identical to XmlSchema, but newer and can't be easily replaced due to difference in classpath (this would require dumb patch ~2k lines long).

4) cxf developers included all sort of licenses (all free) of projects cxf depend on in one subdir; some of them may not apply, but I opted to include all of them (just in case); code itself is licensed on ASL 2.0, so this is listed in License tag.

5) subpackage cxf-rt should probably be divided into more subpackages, but I feel that it's better to wait until all (sub)submodules in rt are enabled to decide how split should be designed

6) ditto subpackage cxf-tools

7) I spent some time deciding if this package should be named apache-cxf and opted to keep shorter name; rationale is that internally project uses short name more often and it's nice to keep it in line with other cxf-* packages. Also, after cxf-rt split name of subpackages may be quite long as they are already.

8) included patch was automatically generated, that's why it is so big; splitting it into smaller patches is too cumbersome atm

9) I am not sure if there is any policy about using mirrors for source? (apache project insists on using mirrors instead of primary url)
Comment 1 Marek Goldmann 2012-07-09 08:01:33 EDT
I'll take this one.
Comment 2 Marek Goldmann 2012-07-09 09:23:46 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

SPECS/cxf.spec: W: invalid-url Source0: http://www.idg.pl/mirrors/apache/cxf/2.4.7/apache-cxf-2.4.7-src.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
cxf.src: W: name-repeated-in-summary C CXF
cxf.src: W: invalid-url Source0: http://www.idg.pl/mirrors/apache/cxf/2.4.7/apache-cxf-2.4.7-src.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
cxf.noarch: E: explicit-lib-dependency cglib
cxf.noarch: W: name-repeated-in-summary C CXF
cxf.noarch: W: file-not-utf8 /usr/share/doc/cxf-2.4.7/licenses/cdd1-1.0.txt
cxf-api.noarch: W: no-documentation
cxf-common.noarch: W: spelling-error %description -l en_US oacjage -> stagecoach
cxf-common.noarch: W: no-documentation
cxf-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
cxf-javadoc.noarch: W: invalid-url URL: http://cxf.apache.org/ timed out
cxf-javadoc.noarch: W: file-not-utf8 /usr/share/doc/cxf-javadoc-2.4.7/licenses/cdd1-1.0.txt
cxf-maven-plugins.noarch: W: no-documentation
cxf-rt.noarch: W: spelling-error %description -l en_US frontends -> front ends, front-ends, fronds
cxf-rt.noarch: W: no-documentation
cxf-tools.noarch: W: no-documentation
7 packages and 0 specfiles checked; 1 errors, 12 warnings.

See issues #2 and #3.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own

See issue #4.

[x]  Spec file is legible and written in American English.
[?]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : d205aea7c13c937d4a59748115f4af4b
MD5SUM upstream package: Cannot find version 2.4.7 on mirrors anymore.

See note #4.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4226945

=== Issues ===
1. Go to #2 :)
2. Please fix the encoding in /usr/share/doc/cxf-2.4.7/licenses/cdd1-1.0.txt file.
3. Please fix the description in common subpackage.
4. Please add license file to other subpackages.
5. Package doesn't build in koji. Missing BR for maven-shared-downloader?

=== Final Notes ===
1. Consider packaging version 2.4.8.
2. In the future, please try to split the patches into logical parts.
3. Watch out for spaces/tab usage when crating a patch. This makes a lot of unnecessary noise, example:

         <dependency>
-            <groupId>org.apache.ws.xmlschema</groupId>
-            <artifactId>xmlschema-core</artifactId>
+			<groupId>org.apache.ws.xmlschema</groupId>
+			<artifactId>xmlschema-core</artifactId>
         </dependency>

4. The url no longer works. It seems that apache removes the old version from mirrors (2.4.8 was released). Any ideas where I can find the 2.4.7 version? Or upgrade to 2.4.8.
Comment 3 Patryk Obara 2012-07-10 10:35:41 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/cxf/2.4.8-1.fc17/cxf.spec
SRPM URL:
http://dreamertan.fedorapeople.org/srpm/cxf/2.4.8-1.fc17/cxf-2.4.8-1.fc17.src.rpm

Issues:
1, 2: bloody file turned out to be in "macintosh" encoding ;)
3: ops, fixed
4: not necessary, these subpackages all depend on main package
5: http://koji.fedoraproject.org/koji/taskinfo?taskID=4230657

Notes:
1, 4. Updated to 2.4.8; unfortunately apache master server doesn't keep older bugfix releases :(
2. single big patch was split in 11 smaller ones
3. removed that noise
Comment 4 Marek Goldmann 2012-07-10 11:13:17 EDT
All issues fixed, builds fine:

https://koji.fedoraproject.org/koji/taskinfo?taskID=4230778

At the import time please change the Source0 link to: http://archive.apache.org/dist/%{name}/%{version}/%{tarname}.tar.gz. This will work also when a new release will be released.

Thanks!

================
*** APPROVED ***
================
Comment 5 Patryk Obara 2012-07-10 11:18:01 EDT
New Package SCM Request
=======================
Package Name: cxf
Short Description: Apache CXF
Owners: dreamertan
Branches: f17
InitialCC: goldmann
Comment 6 Kevin Fenzi 2012-07-10 18:36:44 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-11 07:54:43 EDT
cxf-2.4.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cxf-2.4.8-2.fc17
Comment 8 Fedora Update System 2012-07-11 20:01:29 EDT
cxf-2.4.8-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-07-20 22:53:34 EDT
cxf-2.4.8-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.